Best bid/offer history
curl --request GET \
--url https://api.hypedexer.com/market/bbo/{coin} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/market/bbo/{coin}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/market/bbo/{coin}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "24 1h buckets for BTC",
"data": [
{
"time": "2025-06-01T00:00:00",
"mid_open": 104584.5,
"mid_high": 104633.5,
"mid_low": 104316.5,
"mid_close": 104441.5,
"spread_bps_min": 0.0956,
"spread_bps_avg": 0.1147,
"spread_bps_max": 3.6413,
"bid_sz_avg": 2.658646,
"ask_sz_avg": 4.973857,
"updates": 17231
}
],
"total_count": 24,
"execution_time_ms": 109.25,
"next_cursor": null,
"has_more": null
}Market history
Best bid/offer history
Best bid and offer aggregated from every top-of-book update: mid OHLC, min/avg/max spread in bps and average sizes at the touch, per bucket. Intervals: 1m (max 7 days), 1h (max 180 days), 1d (max 730 days). Available for April 2024 to February 2026 (archive of every top-of-book update); not yet extended past February 2026.
GET
/
market
/
bbo
/
{coin}
Best bid/offer history
Authorizations
Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.
Path Parameters
Coin symbol (e.g. BTC, @107 for a spot pair, xyz:TSLA for HIP-3)
Query Parameters
Start time (ISO UTC)
End time (ISO UTC); default = start + max window
Bucket: 1m (max 7 days), 1h (max 180 days), 1d (max 730 days)
Available options:
1m, 1h, 1d Response
OK
The response is of type object.